> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Visitor Information

> Get the details of a specific visitor.

The response may include `externalIds` when the visitor has been linked to an external system by an omnichannel app.

### Changelog
| Version | Description |
| ------- | ----------- |
| 8.4.0   | Added `externalIds` field to the visitor response. |

## OpenAPI

````json GET /api/v1/livechat/visitor/{token}
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Omnichannel"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Omnichannel Users"
    },
    {
      "name": "Omnichannel Agents"
    },
    {
      "name": "Omnichannel Monitors"
    },
    {
      "name": "Omnichannel Visitors"
    },
    {
      "name": "Omnichannel Contacts"
    },
    {
      "name": "Omnichannel Rooms"
    },
    {
      "name": "Omnichannel Departments"
    },
    {
      "name": "Omnichannel Custom Fields"
    },
    {
      "name": "Omnichannel Business Hours"
    },
    {
      "name": "Omnichannel Priorities"
    },
    {
      "name": "Omnichannel Tags"
    },
    {
      "name": "Omnichannel Units"
    },
    {
      "name": "SLA Policies"
    },
    {
      "name": "Canned Responses"
    },
    {
      "name": "Omnichannel Transcript"
    },
    {
      "name": "Omnichannel Statistics"
    },
    {
      "name": "Omnichannel Agent Stats"
    },
    {
      "name": "Omnichannel Dashboards"
    },
    {
      "name": "Reports"
    },
    {
      "name": "Omnichannel Inquiries"
    },
    {
      "name": "Omnichannel Webhooks"
    },
    {
      "name": "Livechat"
    },
    {
      "name": "Livechat Appearance"
    },
    {
      "name": "Livechat Triggers"
    },
    {
      "name": "Livechat Messages"
    },
    {
      "name": "Livechat Page Visited"
    }
  ],
  "paths": {
    "/api/v1/livechat/visitor/{token}": {
      "parameters": [
        {
          "schema": {
            "type": "string"
          },
          "name": "token",
          "in": "path",
          "required": "true",
          "description": "The visitor token."
        }
      ],
      "get": {
        "summary": "Get Visitor Information",
        "operationId": "get-api-v1-livechat-visitor-token",
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "visitor": {
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "username": {
                          "type": "string"
                        },
                        "_updatedAt": {
                          "type": "string"
                        },
                        "token": {
                          "type": "string"
                        },
                        "phone": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "phoneNumber": {
                                "type": "string"
                              }
                            }
                          }
                        },
                        "visitorEmails": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "address": {
                                "type": "string"
                              }
                            }
                          }
                        },
                        "name": {
                          "type": "string"
                        },
                        "livechatData": {
                          "type": "object",
                          "properties": {
                            "address": {
                              "type": "string"
                            }
                          }
                        },
                        "externalIds": {
                          "type": "array",
                          "description": "Channel-specific external identifiers (e.g. WhatsApp BSUID). Set by omnichannel apps via apps-engine, not through this REST endpoint's request body.",
                          "items": {
                            "type": "object",
                            "properties": {
                              "appId": {
                                "type": "string",
                                "description": "ID of the omnichannel app that registered this identifier."
                              },
                              "entityId": {
                                "type": "string",
                                "description": "External identifier value (e.g. Meta BSUID)."
                              },
                              "metadata": {
                                "type": "object",
                                "additionalProperties": "true",
                                "description": "Optional app-specific metadata (e.g. WhatsApp username)."
                              }
                            }
                          }
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "visitor": {
                        "_id": "6a22b1765528fa64dd29de70",
                        "username": "guest-10",
                        "_updatedAt": "2026-06-05T11:22:30.665Z",
                        "token": "test-token-12345",
                        "phone": [
                          {
                            "phoneNumber": "+15551234567"
                          }
                        ],
                        "visitorEmails": [
                          {
                            "address": "postman-test@example.com"
                          }
                        ],
                        "name": "Postman Test Visitor"
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          }
        },
        "description": "Get the details of a specific visitor.\n\nThe response may include `externalIds` when the visitor has been linked to an external system by an omnichannel app.\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 8.4.0   | Added `externalIds` field to the visitor response. |",
        "tags": [
          "Omnichannel Visitors"
        ]
      }
    }
  }
}
````

